Rensei docs

Update a project (rename / re-slug / describe).

Update a project (rename / re-slug / describe). - Rensei REST API operation reference.

PATCH
/api/projects/{projectId}

Authorization

AuthorizationBearer <token>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

In: header

Path Parameters

projectId*string

Project id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/api/projects/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "project": {
    "id": "string",
    "orgId": "string",
    "name": "string",
    "slug": "string",
    "description": "string",
    "property1": null,
    "property2": null
  }
}
Empty
Empty
Empty
Empty
Empty
Empty